---
title: offset-distance
slug: Web/CSS/offset-distance
tags:
  - CSS
  - CSS Motion Path
  - CSS Property
  - Experimental
  - Motion Path
  - Reference
  - motion-offset
  - offset-distance
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>offset-distance</code></strong> CSS property specifies a position along an {{CSSxRef("offset-path")}} for an element to be placed.</p>

<div>{{EmbedInteractiveExample("pages/css/offset-distance.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css notranslate">/* Default value */
offset-distance: 0;

/* the middle of the offset-path */
offset-distance: 50%;

/* a fixed length positioned along the path */
offset-distance: 40px;</pre>

<dl>
 <dt><code>{{cssxref('&lt;length-percentage&gt;')}}</code></dt>
 <dd>A length that specifies how far the element is along the path (defined with {{cssxref('offset-path')}}).</dd>
 <dd>100% represents the total length of the path (when the <code>offset-path</code> is defined as a basic shape or <code>path()</code>).</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_offset-distance_in_an_animation">Using offset-distance in an animation</h3>

<p>The motion aspect in CSS Motion Path typically comes from animating the <code>offset-distance</code> property. If you want to animate an element along its full path, you would define its {{cssxref('offset-path')}} and then set up an animation that takes the <code>offset-distance</code> from <code>0%</code> to <code>100%</code>.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div id="motion-demo"&gt;&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">#motion-demo {
  offset-path: path('M20,20 C20,100 200,0 200,100');
  animation: move 3000ms infinite alternate ease-in-out;
  width: 40px;
  height: 40px;
  background: cyan;
}

@keyframes move {
  0% {
    offset-distance: 0%;
  }
  100% {
    offset-distance: 100%;
  }
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Using_offset-distance_in_an_animation', '100%', 150)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Motion Path Level 1', '#offset-distance-property', 'offset-distance')}}</td>
   <td>{{Spec2('Motion Path Level 1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.offset-distance")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("offset")}}</li>
 <li>{{cssxref("offset-anchor")}}</li>
 <li>{{cssxref("offset-path")}}</li>
 <li>{{cssxref("offset-position")}}</li>
 <li>{{cssxref("offset-rotate")}}</li>
</ul>
